imagerotate
imagesetbrush
GD Functions
PHP Manual

# imagesavealpha

(PHP 4 >= 4.3.2, PHP 5)

imagesavealpha — Set the flag to save full alpha channel information (as opposed to single-color transparency) when saving PNG images

### Description

bool imagesavealpha ( resource `$image` , bool `$saveflag` )

imagesavealpha() sets the flag to attempt to save full alpha channel information (as opposed to single-color transparency) when saving PNG images.

You have to unset alphablending (imagealphablending($im, false)), to use it.

Alpha channel is not supported by all browsers, if you have problem with your browser, try to load your script with an alpha channel compliant browser, e.g. latest Mozilla.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`saveflag`

  Whether to save the alpha channel or not. Default to `FALSE`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

### See Also

- imagealphablending()

imagerotate
imagesetbrush
GD Functions
PHP Manual